Saltar al contenido

Comentar Imagen

Foto

Macro facilita :)


  • Please log in to reply
13 Respuesta(s) a este Tema

#1
sendadiego

sendadiego

    Experto en AuxCAD

  • Miembros
  • 62 Mensajes
  • Auxis: 2

    Buenas tardes familia,

     

    Estoy intentando hacer una macro que me guarde un CATdrawing con un texto en formato dwg y luego abrirlo con catia para pasarlo a un scketch.

     

    ya que realizo esto muy a menudo me avía planteado grabar una macro y luego modificar el codigo con el texto que deseara en cada momento mediante un cuadro de texto emergente, el problema viene cuando grabo la macro no me aparece el texto por ningún sitio del código y no se como hacer para ponerlo.

     

    ¿Alguien me puede echar una mano?


    • 0

    #2
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola,

     

    Tu puede buscar aqui


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #3
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    no me aparece nada, sale como pagina no encontrada al abrirlo.


    • 0

    #4
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Es mi CATIA Portable Script Center, tu puede buscar tambien con Google.

    Ficheros Adjuntos


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #5
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    Muchas gracias Ferdo, siempre ayudando a los mas necesitados


    • 0

    #6
    ber-to-maker

    ber-to-maker

      Maestro en AuxCAD

    • Administradores
    • 460 Mensajes
  • Auxis: 79
    • Pais: Country Flag
    Contributor

    Ferdo, no puedo ver el contenido del archivo de ayuda.

    algún problema conocido para visualizar en w8.1?


    • 0

    Sí soy gallego Comentar Imagen  pero no lo vayas diciendo por ahí;
    es que no me gusta presumir ;D


    #7
    ber-to-maker

    ber-to-maker

      Maestro en AuxCAD

    • Administradores
    • 460 Mensajes
  • Auxis: 79
    • Pais: Country Flag
    Contributor

    Me respondo:

     

    1.- Click derecho sobre el archivo CHM y 

    luego buscas en la parte inferior derecha el botón llamado unblock o desbloquear según el lenguaje que manejes winky.gif

    2.- Listo se te abre el archivillo. 

     

    image3_thumb_03AD96A0.png

    Y luego: 
     

    image6_thumb_741A5F03.png

    • 1

    Sí soy gallego Comentar Imagen  pero no lo vayas diciendo por ahí;
    es que no me gusta presumir ;D


    #8
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola,

     

    Aacabo de ver el mensaje ... de hecho, esta es la respuesta.


    • 2
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #9
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    Bueno gracias a Ferdo pude completar la pequeña macro con exito, es mi deber compartirla con todos vosotros y espero que os sirva.

    A mi me ayuda mucho para meter texto en los sketch

     

    http://www.mediafire...bab4wceq3yexwlb

     

    Un saludo


    • 1

    #10
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag
    Language="VBSCRIPT"
    Sub CATMain()
    
    Set documents1 = CATIA.Documents
    Set drawingDocument1 = documents1.Add("Drawing")
    drawingDocument1.Standard = catISO
    Set drawingSheets1 = drawingDocument1.Sheets
    Set drawingSheet1 = drawingSheets1.Item("Sheet.1")
    drawingSheet1.PaperSize = catPaperA3
    drawingSheet1.Scale = 1.000000
    drawingSheet1.Orientation = catPaperLandscape
    Set drawingDocument1 = CATIA.ActiveDocument
    Cuadro1 = InputBox ("Escriba el texto a continuacion, Write the text")
    
    Set drawingDocument1 = CATIA.ActiveDocument
    Set drawingSheets1 = drawingDocument1.Sheets
    Set drawingSheet1 = drawingSheets1.Item("Sheet.1" )
    Set ActiveView = drawingSheet1.Views.Item(1)
    Dim collection_textes As DrawingTexts
    Set collection_textes = ActiveView.Texts
    Dim Legende_texte As DrawingText
    Set Legende_texte = collection_textes.Add(Cuadro1, 150, 150)
    
    Legende_texte.SetFontName 0, 0, "Arial"
    Legende_texte.SetFontSize 0, 0, 8
    Legende_texte.SetParameterOnSubString catStrikethrough, 0, 0, 0
    
    Set Sheets = drawingDocument1.Sheets
    Set activeSheet = Sheets.ActiveSheet
    Set views = activeSheet.Views
    REM For i=1 to views.Count
    Set view = views.Item(1)
    Set texts = view.Texts
    REM For j=1 to texts.Count
    Set text = texts.Item(1)
    text.X = myX
    text.Y = myY
    
    Dim drawingDocument1 As Document
    Set drawingDocument1 = CATIA.ActiveDocument
    
    Dim myselection1 As Selection
    Set myselection1 = drawingDocument1.Selection
    
    myselection1.Search "CATDrwSearch.DrwText,all"
    
        '~ ' Create a drawing document: it becomes the active document.
        Dim oDrawing As DrawingDocument
        Set oDrawing = CATIA.ActiveDocument
    
         Set VisPropertySet = CATIA.ActiveDocument.Selection.VisProperties ' Get the visual properties of current selection
         VisPropertySet.SetRealColor 255,255,255,0 ' Set color to WHITE
    
    'Export Import DXF File ---------------------------------------------------------------------------------------
    dim Filename
    
    Set temp_folder = drawingDocument1.Application.FileSystem.TemporaryDirectory
    'Construct the Temp Folder
    ''Dim temp_folder_name As String
    temp_folder_name = temp_folder.Name
    
    Do While InStr(temp_folder.Name, ":") = 0
    	Set temp_folder = temp_folder.Parent
    	temp_folder_name = temp_folder.Name + "\" + temp_folder_name
    
    Loop
    
    'Construct temp Filename
    
    filename = temp_folder_name + "\"  + "######catia_create_text_in_sketch#######" + ".dxf"
    if 	drawingDocument1.Application.FileSystem.fileexists( filename)=1 then
    	drawingDocument1.Application.FileSystem.deletefile(filename)
    
    end if
    
    drawingDocument1.ExportData filename, "dxf"
    
    'Open DXF file and copy the text to clipboard ---------------------------------------------------------------------------------------------------
    
    if 	drawingDocument1.Application.FileSystem.fileexists( filename)=1 then
    
    Set documents1 = CATIA.Documents
    Set document1 = documents1.Open(filename)
    Set drawingDocument2 = CATIA.ActiveDocument
    drawingDocument2.Standard = catISO
    Set drawingSheets2 = drawingDocument2.Sheets
    Set drawingSheet2 = drawingSheets2.Item("Sheet.1")
    drawingSheet2.PaperSize = catPaperA2
    drawingSheet2.Orientation = catPaperLandscape
    drawingSheet2.Scale = 1.000000
    drawingSheet2.GenViewsPosMode = catFixedAxis
    
    else
    	msgbox "Temporary file was not Found"
    end if
    
    Dim drawingDocument2 As Document
    Set drawingDocument2 = CATIA.ActiveDocument
    
    Dim selection1 As Selection
    Set selection1 = drawingDocument2.Selection
    
    selection1.Search "Drafting.View.Name='Main View'"
    
    selection1.Copy
    
    Set documents1 = CATIA.Documents
    
    Dim partDocument1 As Document
    Set partDocument1 = documents1.Add("Part")
    
    Dim partDocument2 As Document
    Set partDocument2 = CATIA.ActiveDocument
    
    Dim selection2 As Selection
    Set selection2 = partDocument1.Selection
    
    selection2.Clear
    
    Dim part1 As Part
    Set part1 = partDocument2.Part
    
    Dim bodies1 As Bodies
    Set bodies1 = part1.Bodies
    
    Dim body1 As Body
    Set body1 = bodies1.Item("PartBody")
    
    selection2.Add body1
    selection2.Paste
    
    Dim specsAndGeomWindow2 As Window
    Set specsAndGeomWindow2 = CATIA.ActiveWindow
    Dim viewer3D1 As Viewer
    Set viewer3D1 = specsAndGeomWindow2.ActiveViewer
    Dim viewpoint3D1 As Viewpoint3D
    Set viewpoint3D1 = viewer3D1.Viewpoint3D
    part1.Update
    viewer3D1.Reframe
    Set viewpoint3D1 = viewer3D1.Viewpoint3D
    viewer3D1.ZoomIn
    Set viewpoint3D1 = viewer3D1.Viewpoint3D
    
    End Sub
    

    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #11
    ber-to-maker

    ber-to-maker

      Maestro en AuxCAD

    • Administradores
    • 460 Mensajes
  • Auxis: 79
    • Pais: Country Flag
    Contributor

    Exactamente para que utilizas esta macro (ejemplo please)  ;D


    • 0

    Sí soy gallego Comentar Imagen  pero no lo vayas diciendo por ahí;
    es que no me gusta presumir ;D


    #12
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    yo la empleo para grabar referencias en piezas mediante CAM, realizo un pocket en la cara de la pieza con las letras importadas de dwg

     

     

    Ficheros Adjuntos

    • Fichero Adjunto  image1.jpg   28,86K   0 Número de descargas

    • 0

    #13
    ber-to-maker

    ber-to-maker

      Maestro en AuxCAD

    • Administradores
    • 460 Mensajes
  • Auxis: 79
    • Pais: Country Flag
    Contributor

    yo lo hago asi:

     

    1º me creo el texto en catdrawing

    2º exporto el texto a dxf

    3º lo importo en catia

    4º copio y pego en sketch de catia


    • 0

    Sí soy gallego Comentar Imagen  pero no lo vayas diciendo por ahí;
    es que no me gusta presumir ;D


    #14
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2
    Esta pequeña macro hace todo ese proceso repetitivo para que solo tengas que copiar y pegar
    • 0




    0 Usuario(s) están leyendo este Tema

    0 miembro(s), 0 invitado(s), 0 usuario(s) anónimo(s)